changeset 2157:1e82f2337498

make test-revert check executable bit.
author Vadim Gelfer <vadim.gelfer@gmail.com>
date Sat, 29 Apr 2006 20:39:28 -0700
parents 628bf85f07ee
children ec96c4518236
files tests/test-revert tests/test-revert.out
diffstat 2 files changed, 20 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-revert
+++ b/tests/test-revert
@@ -54,4 +54,18 @@ echo %% should silently add a
 hg revert -r0 a
 hg st a
 
+hg update -C
+chmod +x c
+hg revert
+echo %% should print non-executable
+test -x c || echo non-executable
+
+chmod +x c
+hg commit -d '1000001 0' -m exe
+
+chmod -x c
+hg revert
+echo %% should print executable
+test -x c && echo executable
+
 true
--- a/tests/test-revert.out
+++ b/tests/test-revert.out
@@ -45,3 +45,9 @@ forgetting z
 forgetting a
 %% should silently add a
 A a
+reverting c
+%% should print non-executable
+non-executable
+reverting c
+%% should print executable
+executable